Create a payment request

This endpoint creates a new Open Banking Payment request. A code is returned that can be shared to your customers as a URL by any channel you wish. See our Guide to Fire Open Payments for more details. You will need to enable PERM_BUSINESS_POST_PAYMENT_REQUEST to use this endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Details of the new payment request

string
enum
required

Either EUR or GBP, and must correspond to the currency of the account the funds are being lodged into in the icanTo.

Allowed:
string
enum
required

The type of Fire Open Payment that was created

Allowed:
int64
required

The ican of the account to collect the funds into. Must be one of your fire.com Accounts.

int64

The requested amount to pay. Note the last two digits represent pennies/cents, (e.g., £1.00 = 100).

string
required

An internal description of the request.

string
required

A public facing description of the request. This will be shown to the user when they tap or scan the request. Fire will truncate to 18 characters to ensure it is accepted by all banks. It is safest to use only numbers, letters, spaces and a fullstop (.) Special characters are not accepted by most banks and errors will only occur after the customer has approved the payment.

integer

The max number of people who can pay this request. Must be set to 1 for the ECOMMERCE_GOODS and ECOMMERCE_SERVICES types.

date-time

This is the expiry of the payment request. After this time, the payment cannot be paid.

string

The merchant return URL where the customer will be re-directed to with the result of the transaction. The returnUrl variable should handle two scenarios. If the user cancels the payment before reaching their banking app, URLs are identified with a /return?status=cancelled. If the user proceeds to their banking app, URLs are identified with /paymentUUID={paymentUUID}

orderDetails
object
string

For the hosted option, the payer will be asked to fill in these fields but they will not be mandatory. You can choose to collect any of the payer's ADDRESS, REFERENCE and/or COMMENT1. If you choose to collect these fields from the payer, you cannot set 'delivery’, 'variableReference’ or 'comment1’ fields respectively.

string

For the hosted option, these fields will be madatory for the payer to fill in on the hosted payment page. You can choose to collect any the payer's ADDRESS, REFERENCE and/or COMMENT1. If you choose to collect these fields from the payer, you cannot set 'delivery’, 'variableReference’ or 'comment1’ fields respectively.

string

These fields will be displayed to the payer when using the hosted option. You can choose to display any of ORDER_ID, PRODUCT_ID, CUSTOMER_ID, CUSTOMER_NUMBER and COMMENT2 to the payer.

Responses

Language
Credentials
Bearer
API Access Token
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json